curl --request GET \
--url https://api.prod.finverse.net/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"account_currency": "HKD",
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"account_name": "HKD Checking",
"account_number_masked": "123XXXX89",
"account_type": {
"subtype": "CURRENT",
"type": "DEPOSIT"
},
"balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FECX9GV4WCSH1C7QC1",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"updated_at": "2024-05-21T03:44:22.000Z"
},
{
"account_currency": "USD",
"account_id": "01HYCM02EMQSVBB851YCYYXJZF",
"account_name": "USD FX",
"account_number_masked": "888XXXX88",
"account_type": {
"subtype": "UNKNOWN",
"type": "UNKNOWN"
},
"balance": {
"currency": "USD",
"raw": "1923.22",
"value": 1923.22
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FHXC9SPTM4XAE8EEGF",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "15001.116",
"value": 15001.116
},
"updated_at": "2024-05-21T03:44:22.000Z"
},
{
"account_currency": "BTC",
"account_id": "01HYCM02EQ5BKMBKGANEF8TX4E",
"account_name": "Bitcoin",
"account_number_masked": "888XXXX88",
"account_type": {
"subtype": "UNKNOWN",
"type": "UNKNOWN"
},
"balance": {
"currency": "BTC",
"raw": "420.69",
"value": 420.69
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FHXC9SPTM4XAE8EEGF",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "106468292.05",
"value": 106468292.05
},
"updated_at": "2024-05-21T03:44:22.000Z"
},
{
"account_currency": "HKD",
"account_id": "01HYCM02EVQWNGW42BQRNAR1VF",
"account_name": "HKD Statement Savings",
"account_number_masked": "111XXXXX6666",
"account_type": {
"subtype": "SAVINGS",
"type": "DEPOSIT"
},
"balance": {
"currency": "HKD",
"raw": "19806.58",
"value": 19806.58
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FQECH1DHNJZQQ9NYYC",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "19806.58",
"value": 19806.58
},
"updated_at": "2024-05-21T03:44:22.000Z"
},
{
"account_currency": "HKD",
"account_id": "01HYCM02EZXFMK930CRQT86WJN",
"account_name": "HKD Credit Card",
"account_number_masked": "1234XXXXXXXX0000",
"account_type": {
"subtype": "CREDIT_CARD",
"type": "CARD"
},
"balance": {
"currency": "HKD",
"raw": "-1833.22",
"value": -1833.22
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FT88EGQC8TXY5ZE0EH",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "-1833.22",
"value": -1833.22
},
"updated_at": "2024-05-21T03:44:22.000Z"
},
{
"account_currency": "SGD",
"account_id": "01HYCM02F2WZ4BXTBW2GS0YAVD",
"account_name": "UOB Visa",
"account_number_masked": "4242XXXXXXXX4242",
"account_type": {
"subtype": "CREDIT_CARD",
"type": "CARD"
},
"balance": {
"currency": "SGD",
"raw": "-1456.90",
"value": -1456.9
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FXX4VJVS7QHCQV3E2E",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "SGD",
"raw": "-1456.90",
"value": -1456.9
},
"updated_at": "2024-05-21T03:44:22.000Z"
},
{
"account_currency": "SGD",
"account_id": "01HYCM02F6FCKZDCZHWHX01A31",
"account_name": "American Express Platinum",
"account_number_masked": "378XXXXXXXX0005",
"account_type": {
"subtype": "CREDIT_CARD",
"type": "CARD"
},
"balance": {
"currency": "SGD",
"raw": "-954.69",
"value": -954.69
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02G0A0F1F04JWY0AK56K",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "SGD",
"raw": "-954.69",
"value": -954.69
},
"updated_at": "2024-05-21T03:44:22.000Z"
}
],
"institution": {
"countries": [
"HKG",
"IDN",
"MYS",
"PHL",
"SGP",
"THA",
"VNM"
],
"institution_id": "testbank",
"institution_name": "Testbank",
"portal_name": "Testbank Online Banking"
},
"login_identity": {
"last_session_id": "01HYCKZDZ1HPG5B5C96ARX46NA",
"login_identity_id": "01HYCKZDWF7XEZZH3SN9GDMXF7",
"status": "DATA_RETRIEVAL_COMPLETE"
},
"total_transactions": 127,
"transactions": [
{
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"amount": {
"currency": "HKD",
"raw": "523.00",
"value": 523
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Transfer\nFPS/PILL Jane/FRN20240312PAYC0111547753897",
"is_pending": false,
"posted_date": "2024-11-11",
"running_balance": {
"currency": "HKD",
"raw": "70,013.12",
"value": 70013.12
},
"transaction_details": {
"counterparty_account_number": "01HYCM0QEJKNQEYTHKK6Z4R16Y",
"counterparty_name": "PILL Jane",
"fps_reference": "FRN20240312PAYC0111547753897",
"subtype": "FPS",
"type": "Transfer"
},
"transaction_id": "01HYCM0QH9RAJRGQNQ90CV8DF0",
"transaction_reference": "67891234",
"transaction_time": "2024-11-11T15:28:31.000Z",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F2WZ4BXTBW2GS0YAVD",
"amount": {
"currency": "SGD",
"raw": "-9.81",
"value": -9.81
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Movie",
"is_pending": false,
"posted_date": "2023-07-13",
"transaction_details": null,
"transaction_id": "01HYCM0QY358JGZBTD4GN0Y9EN",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F2WZ4BXTBW2GS0YAVD",
"amount": {
"currency": "SGD",
"raw": "200",
"value": 200
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Payment. Thank you",
"is_pending": false,
"posted_date": "2023-07-12",
"transaction_details": null,
"transaction_id": "01HYCM0QY7DNH3BHE9ZCNJ9MAF",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F2WZ4BXTBW2GS0YAVD",
"amount": {
"currency": "SGD",
"raw": "-59.81",
"value": -59.81
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Food & Drinks",
"is_pending": false,
"posted_date": "2023-07-12",
"transaction_details": null,
"transaction_id": "01HYCM0QY5A2HGDGC8RQFXKKYS",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F6FCKZDCZHWHX01A31",
"amount": {
"currency": "SGD",
"raw": "-19.81",
"value": -19.81
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Ristorante",
"is_pending": false,
"posted_date": "2023-07-11",
"transaction_details": null,
"transaction_id": "01HYCM0QYCGXBQX8519V23N62E",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F2WZ4BXTBW2GS0YAVD",
"amount": {
"currency": "SGD",
"raw": "-59.81",
"value": -59.81
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "SingTel SVC CHR JUL2023",
"is_pending": false,
"posted_date": "2023-07-11",
"transaction_details": null,
"transaction_id": "01HYCM0QYAJYFA689EHDSX27BZ",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F6FCKZDCZHWHX01A31",
"amount": {
"currency": "SGD",
"raw": "100",
"value": 100
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Payment. Thank you",
"is_pending": false,
"posted_date": "2023-07-07",
"transaction_details": null,
"transaction_id": "01HYCM0QYEW19HN5YH7QH1KHSN",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02F6FCKZDCZHWHX01A31",
"amount": {
"currency": "SGD",
"raw": "-100.81",
"value": -100.81
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Flight to Shanghai",
"is_pending": false,
"posted_date": "2023-07-01",
"transaction_details": null,
"transaction_id": "01HYCM0QYHJ7BN3R56ER81BF53",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"amount": {
"currency": "HKD",
"raw": "-40.00",
"value": -40
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "BAT STARBUCKS@CITY SI NG 25MAY 4628-1234-5678-1234",
"is_pending": false,
"posted_date": "2023-06-30",
"running_balance": {
"currency": "HKD",
"raw": "69,490.12",
"value": 69490.12
},
"transaction_details": null,
"transaction_id": "01HYCM0QHCFRSAZZ0A5KM3G4NM",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"amount": {
"currency": "HKD",
"raw": "-200.00",
"value": -200
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "BEST MART 101: Jul_16",
"is_pending": false,
"posted_date": "2022-07-16",
"running_balance": {
"currency": "HKD",
"raw": "69,530.12",
"value": 69530.12
},
"transaction_details": null,
"transaction_id": "01HYCM0QHEPEC98MN9NBDCA47C",
"updated_at": "2024-05-21T03:44:02.882Z"
}
]
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}List transactions by login identity id
Retrieve all Transactions under a Login Identity (using a specific login_identity_token).
Authorization: login_identity_token
Request parameters (optional)
Use the following optional URL parameters to customize pagination of transaction records.
accounts
Full Accounts array. See GET /accounts for details.
institution
Summary Institution object. See GET /institutions for details.
login_identity
Summary Login Identity object. See GET /login_identity for details.
total_transactions
Total number of transaction records available (can be used to inform pagination requests).
transactions
Full transactions array, containing each transaction record.
amount (object)
Details of a transaction’s amount.
running_balance (object, optional)
Details of the account’s running balance amount associated with each transaction.
transaction_details (object, nullable)
(BETA) Additional details on each transaction if provided by the institution.
Note: this object does not yet offer a fully structured data model; it may change at any time. Most institutions will not provide any values. The data model for each field is institution-specific.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
default is 0
default is 500, max is 1000
1 <= x <= 1000when true, response will be enriched transactions; otherwise it will be raw transactions